Get a fixed asset type
GET
/partners/fixed-asset-types/{uuid}Returns one fixed asset type.
HMAC signature + Bearer access token
Try this requestPath parameters
uuiduuidrequiredThe fixed asset type UUID (`id` from List fixed asset types).
Responses
200The type.404No type with that UUID in this workspace.401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot403The credential does not have access to this workspace or resource. Troubleshoot429Rate limit exceeded (100 requests per minute per user of each app, or 10,000 per minute per app). Retry after the Retry-After header. TroubleshootGET
https://api.getcount.com/partners/fixed-asset-types/{uuid}Request
import crypto from 'node:crypto';
const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;
const method = 'GET';
const signingPath = '/fixed-asset-types/3fa85f64-5717-4562-b3fc-2c963f66afa6';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';
const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');
const response = await fetch(`${BASE_URL}/partners/fixed-asset-types/3fa85f64-5717-4562-b3fc-2c963f66afa6`, {
method,
headers: {
'x-client-id': CLIENT_ID,
'x-timestamp': timestamp,
'x-signature': signature,
Authorization: `Bearer ${ACCESS_TOKEN}`,
},
});
console.log(await response.json());Response · 200
{
"status": "success",
"message": "Success on fetching fixed asset type",
"data": {
"fixedAssetType": {
"id": "0194c1d2-3e4f-7a5b-8c6d-7e8f9a0b1d01",
"name": "Computer Equipment",
"assetAccount": {
"id": "0194c1d2-3e4f-7a5b-8c6d-7e8f9a0b1c01",
"name": "Computer Equipment"
},
"accumulatedDepreciationAccount": {
"id": "0194c1d2-3e4f-7a5b-8c6d-7e8f9a0b1c02",
"name": "Accumulated Depreciation - Computer Equipment"
},
"depreciationExpenseAccount": {
"id": "0194c1d2-3e4f-7a5b-8c6d-7e8f9a0b1c03",
"name": "Depreciation"
},
"defaultDepreciationMethod": "diminishing_value",
"defaultAveragingMethod": "full_month",
"defaultDepreciationFrequency": "monthly",
"defaultCalculateBasis": "rate",
"defaultRate": "50.0000",
"defaultEffectiveLife": null,
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-01-28T14:22:30.000Z"
}
}
}